
addpath('D:\semestrální projekt');
addpath('D:\semestrální projekt\vykreslení videa\Videa');
addpath('D:\semestrální projekt\vykreslení videa');
xyloObj = VideoReader('sit2_854strih-na_interpolaci.mp4'); 
% xyloObj = read(vid);


    nFrames = xyloObj.NumberOfFrames;
    vidHeight = xyloObj.Height;
    vidWidth = xyloObj.Width;

    % Preallocate movie structure.
    mov(1:nFrames) = ...
        struct('cdata', zeros(vidHeight, vidWidth, 3, 'uint8'),...
               'colormap', []);

    % Read one frame at a time.
    for k = 1 : nFrames
        mov(k).cdata = read(xyloObj, k);
    end        

%     h = figure ; hf = axes('Parent' , h);

% save(data,'mov','-v7.3');

